Bug 1372938 - Review Request: xorg-x11-drv-amdgpu - X.Org X11 amdgpu video driver
Summary: Review Request: xorg-x11-drv-amdgpu - X.Org X11 amdgpu video driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-04 01:48 UTC by Christopher Atherton
Modified: 2016-10-19 17:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-19 17:28:10 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Christopher Atherton 2016-09-04 01:48:10 UTC
Spec URL: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu.spec
SRPM URL: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu-1.1.0-1.fc24.src.rpm

Description:
This is new basic support for Radeon GPUs.  It is not AMDGPU-PRO and does not contain any binary blobs.

I drafted this spec using the xorg-x11-drv-intel spec for reference.  It works on my machine with Sapphire Radeon Rx 480 test hardware.  Kernel 4.7 or later might be required.

Fedora Account System Username: cjatherton

Comment 1 Neal Gompa 2016-09-04 02:09:15 UTC
Taking this review.

Comment 2 Neal Gompa 2016-09-04 02:21:11 UTC
First pass comments:

* "s390s" is not a valid architecture, as far as I know. Shouldn't it be "s390x"?

* Is there a URL and a URL path for the Source? URL-less sources are discouraged...

* Is there a reason autoreconf isn't using "-fiv" instead?

* Is there a reason you are using "make %{?_smp_mflags}" instead of "%make_build"?

Comment 3 Christopher Atherton 2016-09-04 02:46:57 UTC
Thanks for the help!

Fixes applied here ...
New Spec: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu.spec (same)
New SRPM: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu-1.1.0-2.fc24.src.rpm

Comment 4 Christopher Atherton 2016-09-04 03:51:19 UTC
Actually we need libdrm version of at least 2.4.63 ...

New Spec: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu.spec (same)
New SRPM: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu-1.1.0-3.fc24.src.rpm

Comment 5 Neal Gompa 2016-09-04 10:24:54 UTC
Second pass comments:

* $RPM_BUILD_ROOT over %{buildroot}. The latter form is preferred.

* Replace /usr/share with %{_datadir}.

* Why is hardened build disabled? If there's a good reason, please add a comment to the spec above the line to indicate the reasoning.

Comment 7 Christopher Atherton 2016-09-04 20:49:08 UTC
Argh, forgot to test.  Xorg refuses to load this driver when built hardened.
I'm not exactly sure why, but it throws:

Failed to load /usr/lib64/xorg/modules/drivers/amdgpu_drv.so: /usr/lib64/xorg/modules/drivers/amdgpu_drv.so: undefined symbol: fbImageGlyphBlt

All the other Xorg video drivers disable hardened.

So,
New Spec: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu.spec
New SRPM: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu-1.1.0-5.fc24.src.rpm

Comment 8 Neal Gompa 2016-09-04 21:57:31 UTC
This package fails to build when I run either of the following:

* /usr/bin/mock -r fedora-24-x86_64 xorg-x11-drv-amdgpu-1.1.0-5.fc24.src.rpm
* /usr/bin/mock -r fedora-rawhide-x86_64 xorg-x11-drv-amdgpu-1.1.0-5.fc24.src.rpm

The error I get is that autotools fails to locate gbm pkgconfig file. Have you tested this package in a mock build environment? It seems the build requirements are incomplete...

Comment 9 Christopher Atherton 2016-09-05 00:50:22 UTC
Added build dependency on mesa-libgbm-devel.  Mockbuild now runs ok.

Spec: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu.spec
SRPM: https://cjatherton.fedorapeople.org/xorg-x11-drv-amdgpu-1.1.0-6.fc24.src.rpm

Comment 10 Christopher Atherton 2016-09-06 03:58:54 UTC
Is there a better way to get Xorg to use this driver, without forcing it with the xorg.conf file?

Comment 12 Neal Gompa 2016-09-16 03:54:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/makerpm/1372938-xorg-x11-drv-amdgpu/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xorg-x11
     -drv-amdgpu-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xorg-x11-drv-amdgpu-1.1.1-1.fc26.x86_64.rpm
          xorg-x11-drv-amdgpu-debuginfo-1.1.1-1.fc26.x86_64.rpm
          xorg-x11-drv-amdgpu-1.1.1-1.fc26.src.rpm
xorg-x11-drv-amdgpu.src: E: specfile-error Package xorg-server was not found in the pkg-config search path.
xorg-x11-drv-amdgpu.src: E: specfile-error Perhaps you should add the directory containing `xorg-server.pc'
xorg-x11-drv-amdgpu.src: E: specfile-error to the PKG_CONFIG_PATH environment variable
xorg-x11-drv-amdgpu.src: E: specfile-error No package 'xorg-server' found
xorg-x11-drv-amdgpu.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
xorg-x11-drv-amdgpu.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
3 packages and 0 specfiles checked; 6 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xorg-x11-drv-amdgpu-debuginfo-1.1.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
xorg-x11-drv-amdgpu-debuginfo (rpmlib, GLIBC filtered):

xorg-x11-drv-amdgpu (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    Xorg
    libc.so.6()(64bit)
    libdrm
    libdrm_amdgpu.so.1()(64bit)
    libgbm.so.1()(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)
    xserver-abi(ansic-0)
    xserver-abi(videodrv-20)



Provides
--------
xorg-x11-drv-amdgpu-debuginfo:
    xorg-x11-drv-amdgpu-debuginfo
    xorg-x11-drv-amdgpu-debuginfo(x86-64)

xorg-x11-drv-amdgpu:
    xorg-x11-drv-amdgpu
    xorg-x11-drv-amdgpu(x86-64)



Unversioned so-files
--------------------
xorg-x11-drv-amdgpu: /usr/lib64/xorg/modules/drivers/amdgpu_drv.so

Source checksums
----------------
https://www.x.org/archive/individual/driver/xf86-video-amdgpu-1.1.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : b6dfe5fb2a9bba5048135c75a507827bc887ac0790214d62b28c47f22fdd238f
  CHECKSUM(SHA256) upstream package : b6dfe5fb2a9bba5048135c75a507827bc887ac0790214d62b28c47f22fdd238f


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: xf86-video-amdgpu-1.1.1/configure.ac:49


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1372938 --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 13 Neal Gompa 2016-09-16 03:57:54 UTC
Comments based on the review above:

* rpmlint is a little brain-dead here, and I understand that this is how our other Xorg video drivers are packaged, so I'm letting this go.

* Obviously the .so files are unversioned, as they are "plugins" for Xorg itself, and Xorg doesn't care for soversions.

* The dependencies look right to me.

Package approved.

Comment 14 Gwyn Ciesla 2016-09-16 13:21:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xorg-x11-drv-amdgpu

Comment 15 Fedora Update System 2016-09-16 18:40:08 UTC
xorg-x11-drv-amdgpu-1.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a814ffbdf6

Comment 16 Fedora Update System 2016-09-16 18:41:32 UTC
xorg-x11-drv-amdgpu-1.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ba6d0063a

Comment 17 Fedora Update System 2016-09-17 00:52:46 UTC
xorg-x11-drv-amdgpu-1.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a814ffbdf6

Comment 18 Fedora Update System 2016-09-17 20:55:26 UTC
xorg-x11-drv-amdgpu-1.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ba6d0063a

Comment 19 Fedora Update System 2016-09-18 01:04:33 UTC
xorg-x11-drv-amdgpu-1.1.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-67b20fa171

Comment 20 Fedora Update System 2016-09-18 01:05:32 UTC
xorg-x11-drv-amdgpu-1.1.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bad431075d

Comment 21 Fedora Update System 2016-09-19 04:22:40 UTC
xorg-x11-drv-amdgpu-1.1.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-67b20fa171

Comment 22 Fedora Update System 2016-09-19 05:22:48 UTC
xorg-x11-drv-amdgpu-1.1.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bad431075d

Comment 23 poma 2016-09-25 16:23:52 UTC
(In reply to Christopher Atherton from comment #10)
> Is there a better way to get Xorg to use this driver, without forcing it
> with the xorg.conf file?

As you saw, a solution already exists ;)
https://bugzilla.redhat.com/show_bug.cgi?id=1379085

Besides, good practice is to refer to the relevant bug report.

Comment 24 Fedora Update System 2016-09-26 01:19:17 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50d98b2466

Comment 25 Fedora Update System 2016-09-26 01:21:56 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a2f55e8e2

Comment 26 Fedora Update System 2016-09-30 20:24:04 UTC
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 27 Fedora Update System 2016-10-02 22:23:41 UTC
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 28 Fedora Update System 2016-10-05 01:55:59 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 29 Fedora Update System 2016-10-05 06:22:51 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-10-05 22:25:02 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 31 Fedora Update System 2016-10-11 04:57:23 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 32 Fedora Update System 2016-10-19 17:28:10 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.